Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.util
Class JRStyleResolver

    java.lang.Object
      net.sf.jasperreports.engine.util.JRStyleResolver

    public final class JRStyleResolver

extends java.lang.Object

Version:
  $Id: JRStyleResolver.java 4004 2010-10-25 06:49:40Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Method Summary
`static void` | `appendStyle(JRStyle destStyle, JRStyle srcStyle)` Merges two styles, by appending the properties of the source style to the ones of the destination style.
`static java.awt.Color` | `getBackcolor(JRChartPlot plot)`
`static java.awt.Color` | `getBackcolor(JRCommonElement element)`
`static java.awt.Color` | `getBackcolor(JRStyle style)`
`static java.lang.Integer` | `getBottomPadding(JRLineBox box)`
`static java.awt.Color` | `getCategoryAxisLabelColor(JRCategoryAxisFormat axisFormat, JRChartPlot plot)`
`static java.awt.Color` | `getCategoryAxisLineColor(JRCategoryAxisFormat axisFormat, JRChartPlot plot)`
`static java.awt.Color` | `getCategoryAxisTickLabelColor(JRCategoryAxisFormat axisFormat, JRChartPlot plot)`
`static byte` | `getFill(JRCommonGraphicElement element)` Deprecated. Replaced by `getFillValue(JRCommonGraphicElement)`.
`static java.lang.Byte` | `getFill(JRStyle style)` Deprecated. Replaced by `getFillValue(JRStyle)`.
`static FillEnum` | `getFillValue(JRCommonGraphicElement element)`
`static FillEnum` | `getFillValue(JRStyle style)`
`static java.lang.String` | `getFontName(JRFont font)`
`static java.lang.String` | `getFontName(JRStyle style)`
`static int` | `getFontSize(JRFont font)`
`static java.lang.Integer` | `getFontSize(JRStyle style)`
`static java.awt.Color` | `getForecolor(JRChartPlot plot)`
`static java.awt.Color` | `getForecolor(JRCommonElement element)`
`static java.awt.Color` | `getForecolor(JRStyle style)`
`static byte` | `getHorizontalAlignment(JRAlignment alignment)` Deprecated. Replaced by `getHorizontalAlignmentValue(JRAlignment)`.
`static java.lang.Byte` | `getHorizontalAlignment(JRStyle style)` Deprecated. Replaced by `getHorizontalAlignmentValue(JRStyle)`.
`static HorizontalAlignEnum` | `getHorizontalAlignmentValue(JRAlignment alignment)`
`static HorizontalAlignEnum` | `getHorizontalAlignmentValue(JRStyle style)`
`static java.lang.Integer` | `getLeftPadding(JRLineBox box)`
`static java.awt.Color` | `getLegendBackgroundColor(JRChart chart)`
`static java.awt.Color` | `getLegendColor(JRChart chart)`
`static java.awt.Color` | `getLineColor(JRBoxPen boxPen, java.awt.Color defaultColor)`
`static java.awt.Color` | `getLineColor(JRPen pen, java.awt.Color defaultColor)`
`static byte` | `getLineSpacing(JRCommonText element)` Deprecated. Replaced by `getLineSpacingValue(JRCommonText)`.
`static java.lang.Byte` | `getLineSpacing(JRStyle style)` Deprecated. Replaced by `getLineSpacingValue(JRStyle)`.
`static LineSpacingEnum` | `getLineSpacingValue(JRCommonText element)`
`static LineSpacingEnum` | `getLineSpacingValue(JRStyle style)`
`static java.lang.Byte` | `getLineStyle(JRBoxPen boxPen)` Deprecated. Replaced by `getLineStyleValue(JRBoxPen)`
`static java.lang.Byte` | `getLineStyle(JRPen pen)` Deprecated. Replaced by `getLineStyleValue(JRPen)`.
`static LineStyleEnum` | `getLineStyleValue(JRBoxPen boxPen)`
`static LineStyleEnum` | `getLineStyleValue(JRPen pen)`
`static java.lang.Float` | `getLineWidth(JRBoxPen boxPen, java.lang.Float defaultLineWidth)`
`static java.lang.Float` | `getLineWidth(JRPen pen, java.lang.Float defaultLineWidth)`
`static java.lang.String` | `getMarkup(JRCommonText element)`
`static java.lang.String` | `getMarkup(JRStyle style)`
`static byte` | `getMode(JRCommonElement element, byte defaultMode)` Deprecated. Replaced by `getMode(JRCommonElement, ModeEnum)`.
`static ModeEnum` | `getMode(JRCommonElement element, ModeEnum defaultMode)`
`static java.lang.Byte` | `getMode(JRStyle style)` Deprecated. Replaced by `getModeValue(JRStyle)`.
`static ModeEnum` | `getModeValue(JRStyle style)`
`static java.lang.Integer` | `getPadding(JRLineBox box)`
`static java.lang.String` | `getPattern(JRStyle style)`
`static java.lang.String` | `getPattern(JRTextField element)`
`static java.lang.String` | `getPdfEncoding(JRFont font)`
`static java.lang.String` | `getPdfEncoding(JRStyle style)`
`static java.lang.String` | `getPdfFontName(JRFont font)`
`static java.lang.String` | `getPdfFontName(JRStyle style)`
`static int` | `getRadius(JRCommonRectangle rectangle)`
`static java.lang.Integer` | `getRadius(JRStyle style)`
`static java.lang.Integer` | `getRightPadding(JRLineBox box)`
`static byte` | `getRotation(JRCommonText element)` Deprecated. Replaced by `getRotationValue(JRCommonText)`.
`static java.lang.Byte` | `getRotation(JRStyle style)` Deprecated. Replaced by `getRotationValue(JRStyle)`.
`static RotationEnum` | `getRotationValue(JRCommonText element)`
`static RotationEnum` | `getRotationValue(JRStyle style)`
`static byte` | `getScaleImage(JRCommonImage image)` Deprecated. Replaced by `getScaleImageValue(JRCommonImage)`
`static java.lang.Byte` | `getScaleImage(JRStyle style)` Deprecated. Replaced by `getScaleImageValue(JRStyle)`
`static ScaleImageEnum` | `getScaleImageValue(JRCommonImage image)`
`static ScaleImageEnum` | `getScaleImageValue(JRStyle style)`
`static java.awt.Color` | `getSubtitleColor(JRChart chart)`
`static java.awt.Color` | `getTimeAxisLabelColor(JRTimeAxisFormat axisFormat, JRChartPlot plot)`
`static java.awt.Color` | `getTimeAxisLineColor(JRTimeAxisFormat axisFormat, JRChartPlot plot)`
`static java.awt.Color` | `getTimeAxisTickLabelColor(JRTimeAxisFormat axisFormat, JRChartPlot plot)`
`static java.awt.Color` | `getTitleColor(JRChart chart)`
`static java.lang.Integer` | `getTopPadding(JRLineBox box)`
`static java.awt.Color` | `getValueAxisLabelColor(JRValueAxisFormat axisFormat, JRChartPlot plot)`
`static java.awt.Color` | `getValueAxisLineColor(JRValueAxisFormat axisFormat, JRChartPlot plot)`
`static java.awt.Color` | `getValueAxisTickLabelColor(JRValueAxisFormat axisFormat, JRChartPlot plot)`
`static byte` | `getVerticalAlignment(JRAlignment alignment)` Deprecated. Replaced by `getVerticalAlignmentValue(JRAlignment)`.
`static java.lang.Byte` | `getVerticalAlignment(JRStyle style)`
`static VerticalAlignEnum` | `getVerticalAlignmentValue(JRAlignment alignment)`
`static VerticalAlignEnum` | `getVerticalAlignmentValue(JRStyle style)`
`static java.awt.Color` | `getXAxisLabelColor(JRXAxisFormat axisFormat, JRChartPlot plot)`
`static java.awt.Color` | `getXAxisLineColor(JRXAxisFormat axisFormat, JRChartPlot plot)`
`static java.awt.Color` | `getXAxisTickLabelColor(JRXAxisFormat axisFormat, JRChartPlot plot)`
`static java.awt.Color` | `getYAxisLabelColor(JRYAxisFormat axisFormat, JRChartPlot plot)`
`static java.awt.Color` | `getYAxisLineColor(JRYAxisFormat axisFormat, JRChartPlot plot)`
`static java.awt.Color` | `getYAxisTickLabelColor(JRYAxisFormat axisFormat, JRChartPlot plot)`
`static java.lang.Boolean` | `isBlankWhenNull(JRStyle style)`
`static boolean` | `isBlankWhenNull(JRTextField element)`
`static boolean` | `isBold(JRFont font)`
`static java.lang.Boolean` | `isBold(JRStyle style)`
`static boolean` | `isItalic(JRFont font)`
`static java.lang.Boolean` | `isItalic(JRStyle style)`
`static boolean` | `isPdfEmbedded(JRFont font)`
`static java.lang.Boolean` | `isPdfEmbedded(JRStyle style)`
`static boolean` | `isStrikeThrough(JRFont font)`
`static java.lang.Boolean` | `isStrikeThrough(JRStyle style)`
`static boolean` | `isUnderline(JRFont font)`
`static java.lang.Boolean` | `isUnderline(JRStyle style)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getMode

    public static byte getMode(JRCommonElement element,
                               byte defaultMode)

  Deprecated. Replaced by `getMode(JRCommonElement, ModeEnum)`.

### getMode

    public static java.lang.Byte getMode(JRStyle style)

  Deprecated. Replaced by `getModeValue(JRStyle)`.

### getMode

    public static ModeEnum getMode(JRCommonElement element,
                                   ModeEnum defaultMode)

### getModeValue

    public static ModeEnum getModeValue(JRStyle style)

### getForecolor

    public static java.awt.Color getForecolor(JRCommonElement element)

### getForecolor

    public static java.awt.Color getForecolor(JRChartPlot plot)

### getForecolor

    public static java.awt.Color getForecolor(JRStyle style)

### getBackcolor

    public static java.awt.Color getBackcolor(JRCommonElement element)

### getBackcolor

    public static java.awt.Color getBackcolor(JRChartPlot plot)

### getBackcolor

    public static java.awt.Color getBackcolor(JRStyle style)

### getLineWidth

    public static java.lang.Float getLineWidth(JRPen pen,
                                               java.lang.Float defaultLineWidth)

### getLineWidth

    public static java.lang.Float getLineWidth(JRBoxPen boxPen,
                                               java.lang.Float defaultLineWidth)

### getLineStyle

    public static java.lang.Byte getLineStyle(JRPen pen)

  Deprecated. Replaced by `getLineStyleValue(JRPen)`.

### getLineStyleValue

    public static LineStyleEnum getLineStyleValue(JRPen pen)

### getLineStyle

    public static java.lang.Byte getLineStyle(JRBoxPen boxPen)

  Deprecated. Replaced by `getLineStyleValue(JRBoxPen)`

### getLineStyleValue

    public static LineStyleEnum getLineStyleValue(JRBoxPen boxPen)

### getLineColor

    public static java.awt.Color getLineColor(JRPen pen,
                                              java.awt.Color defaultColor)

### getLineColor

    public static java.awt.Color getLineColor(JRBoxPen boxPen,
                                              java.awt.Color defaultColor)

### getFill

    public static byte getFill(JRCommonGraphicElement element)

  Deprecated. Replaced by `getFillValue(JRCommonGraphicElement)`.

### getFill

    public static java.lang.Byte getFill(JRStyle style)

  Deprecated. Replaced by `getFillValue(JRStyle)`.

### getFillValue

    public static FillEnum getFillValue(JRCommonGraphicElement element)

### getFillValue

    public static FillEnum getFillValue(JRStyle style)

### getRadius

    public static int getRadius(JRCommonRectangle rectangle)

### getRadius

    public static java.lang.Integer getRadius(JRStyle style)

### getScaleImage

    public static byte getScaleImage(JRCommonImage image)

  Deprecated. Replaced by `getScaleImageValue(JRCommonImage)`

### getScaleImage

    public static java.lang.Byte getScaleImage(JRStyle style)

  Deprecated. Replaced by `getScaleImageValue(JRStyle)`

### getScaleImageValue

    public static ScaleImageEnum getScaleImageValue(JRCommonImage image)

### getScaleImageValue

    public static ScaleImageEnum getScaleImageValue(JRStyle style)

### getHorizontalAlignment

    public static byte getHorizontalAlignment(JRAlignment alignment)

  Deprecated. Replaced by `getHorizontalAlignmentValue(JRAlignment)`.

### getHorizontalAlignmentValue

    public static HorizontalAlignEnum getHorizontalAlignmentValue(JRAlignment alignment)

### getHorizontalAlignment

    public static java.lang.Byte getHorizontalAlignment(JRStyle style)

  Deprecated. Replaced by `getHorizontalAlignmentValue(JRStyle)`.

### getHorizontalAlignmentValue

    public static HorizontalAlignEnum getHorizontalAlignmentValue(JRStyle style)

### getVerticalAlignment

    public static byte getVerticalAlignment(JRAlignment alignment)

  Deprecated. Replaced by `getVerticalAlignmentValue(JRAlignment)`.

### getVerticalAlignmentValue

    public static VerticalAlignEnum getVerticalAlignmentValue(JRAlignment alignment)

### getVerticalAlignment

    public static java.lang.Byte getVerticalAlignment(JRStyle style)

### getVerticalAlignmentValue

    public static VerticalAlignEnum getVerticalAlignmentValue(JRStyle style)

### getRotation

    public static byte getRotation(JRCommonText element)

  Deprecated. Replaced by `getRotationValue(JRCommonText)`.

### getRotation

    public static java.lang.Byte getRotation(JRStyle style)

  Deprecated. Replaced by `getRotationValue(JRStyle)`.

### getRotationValue

    public static RotationEnum getRotationValue(JRCommonText element)

### getRotationValue

    public static RotationEnum getRotationValue(JRStyle style)

### getLineSpacing

    public static byte getLineSpacing(JRCommonText element)

  Deprecated. Replaced by `getLineSpacingValue(JRCommonText)`.

### getLineSpacing

    public static java.lang.Byte getLineSpacing(JRStyle style)

  Deprecated. Replaced by `getLineSpacingValue(JRStyle)`.

### getLineSpacingValue

    public static LineSpacingEnum getLineSpacingValue(JRCommonText element)

### getLineSpacingValue

    public static LineSpacingEnum getLineSpacingValue(JRStyle style)

### getMarkup

    public static java.lang.String getMarkup(JRCommonText element)

### getMarkup

    public static java.lang.String getMarkup(JRStyle style)

### getPattern

    public static java.lang.String getPattern(JRTextField element)

### getPattern

    public static java.lang.String getPattern(JRStyle style)

### isBlankWhenNull

    public static boolean isBlankWhenNull(JRTextField element)

### isBlankWhenNull

    public static java.lang.Boolean isBlankWhenNull(JRStyle style)

### getFontName

    public static java.lang.String getFontName(JRFont font)

### getFontName

    public static java.lang.String getFontName(JRStyle style)

### isBold

    public static boolean isBold(JRFont font)

### isBold

    public static java.lang.Boolean isBold(JRStyle style)

### isItalic

    public static boolean isItalic(JRFont font)

### isItalic

    public static java.lang.Boolean isItalic(JRStyle style)

### isUnderline

    public static boolean isUnderline(JRFont font)

### isUnderline

    public static java.lang.Boolean isUnderline(JRStyle style)

### isStrikeThrough

    public static boolean isStrikeThrough(JRFont font)

### isStrikeThrough

    public static java.lang.Boolean isStrikeThrough(JRStyle style)

### getFontSize

    public static int getFontSize(JRFont font)

### getFontSize

    public static java.lang.Integer getFontSize(JRStyle style)

### getPdfFontName

    public static java.lang.String getPdfFontName(JRFont font)

### getPdfFontName

    public static java.lang.String getPdfFontName(JRStyle style)

### getPdfEncoding

    public static java.lang.String getPdfEncoding(JRFont font)

### getPdfEncoding

    public static java.lang.String getPdfEncoding(JRStyle style)

### isPdfEmbedded

    public static boolean isPdfEmbedded(JRFont font)

### isPdfEmbedded

    public static java.lang.Boolean isPdfEmbedded(JRStyle style)

### getPadding

    public static java.lang.Integer getPadding(JRLineBox box)

### getTopPadding

    public static java.lang.Integer getTopPadding(JRLineBox box)

### getLeftPadding

    public static java.lang.Integer getLeftPadding(JRLineBox box)

### getBottomPadding

    public static java.lang.Integer getBottomPadding(JRLineBox box)

### getRightPadding

    public static java.lang.Integer getRightPadding(JRLineBox box)

### appendStyle

    public static void appendStyle(JRStyle destStyle,
                                   JRStyle srcStyle)

  Merges two styles, by appending the properties of the source style to the ones of the destination style.

### getTitleColor

    public static java.awt.Color getTitleColor(JRChart chart)

### getSubtitleColor

    public static java.awt.Color getSubtitleColor(JRChart chart)

### getLegendColor

    public static java.awt.Color getLegendColor(JRChart chart)

### getLegendBackgroundColor

    public static java.awt.Color getLegendBackgroundColor(JRChart chart)

### getCategoryAxisLabelColor

    public static java.awt.Color getCategoryAxisLabelColor(JRCategoryAxisFormat axisFormat,
                                                           JRChartPlot plot)

### getCategoryAxisTickLabelColor

    public static java.awt.Color getCategoryAxisTickLabelColor(JRCategoryAxisFormat axisFormat,
                                                               JRChartPlot plot)

### getCategoryAxisLineColor

    public static java.awt.Color getCategoryAxisLineColor(JRCategoryAxisFormat axisFormat,
                                                          JRChartPlot plot)

### getValueAxisLabelColor

    public static java.awt.Color getValueAxisLabelColor(JRValueAxisFormat axisFormat,
                                                        JRChartPlot plot)

### getValueAxisTickLabelColor

    public static java.awt.Color getValueAxisTickLabelColor(JRValueAxisFormat axisFormat,
                                                            JRChartPlot plot)

### getValueAxisLineColor

    public static java.awt.Color getValueAxisLineColor(JRValueAxisFormat axisFormat,
                                                       JRChartPlot plot)

### getXAxisLabelColor

    public static java.awt.Color getXAxisLabelColor(JRXAxisFormat axisFormat,
                                                    JRChartPlot plot)

### getXAxisTickLabelColor

    public static java.awt.Color getXAxisTickLabelColor(JRXAxisFormat axisFormat,
                                                        JRChartPlot plot)

### getXAxisLineColor

    public static java.awt.Color getXAxisLineColor(JRXAxisFormat axisFormat,
                                                   JRChartPlot plot)

### getYAxisLabelColor

    public static java.awt.Color getYAxisLabelColor(JRYAxisFormat axisFormat,
                                                    JRChartPlot plot)

### getYAxisTickLabelColor

    public static java.awt.Color getYAxisTickLabelColor(JRYAxisFormat axisFormat,
                                                        JRChartPlot plot)

### getYAxisLineColor

    public static java.awt.Color getYAxisLineColor(JRYAxisFormat axisFormat,
                                                   JRChartPlot plot)

### getTimeAxisLabelColor

    public static java.awt.Color getTimeAxisLabelColor(JRTimeAxisFormat axisFormat,
                                                       JRChartPlot plot)

### getTimeAxisTickLabelColor

    public static java.awt.Color getTimeAxisTickLabelColor(JRTimeAxisFormat axisFormat,
                                                           JRChartPlot plot)

### getTimeAxisLineColor

    public static java.awt.Color getTimeAxisLineColor(JRTimeAxisFormat axisFormat,
                                                      JRChartPlot plot)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com